Skip to content

Update an existing topology

PATCH
/topologies/{id}
curl --request PATCH \
--url https://antimony.example.com/api/topologies/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "annotations": "example", "collectionId": "example", "definition": "example", "syncUrl": "example" }'
id
required
string

The ID of the topology to edit

A partial topology with updated values

Media typeapplication/json
object
annotations
string
collectionId
string
definition
string
syncUrl
string

Example generated

{
"annotations": "example",
"collectionId": "example",
"definition": "example",
"syncUrl": "example"
}

OK

Media typeapplication/json

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The request was invalid. Details in the response body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json